/* global */
body *{
    font-family: sans-serif ;
}
*{
    margin: 0px ;
    padding: 0px ;
}
.pointer{
    cursor: pointer !important;
}
.no-border{
    border: none;
}
.no-scroll{
    overflow: hidden;
}
p:empty{
    display: block ;
    padding: .3em 0px ;
}
a{
    text-decoration: none ;
}
ul{
    list-style: none ;
}
.btn {
    padding: 10px 20px ;
    background: #3cf084 ;
    border-radius: 30px ;
}
.accordion-button{
    position: relative
}
.accordion-button i{
position: absolute;
top: 50%;
right: 23px;
transform: translateY(-50%);
}
.container{
    margin: 0px auto ;
    padding: 0px 20px ;
    max-width: 1400px ;
}
.btn-link:hover,.megamenu-btn:hover{
    background-color: transparent !important;
    color: #014550 !important;
}
.link-btn:hover{
    background-color: transparent !important;
    color: #014550 !important;
    transition: .2s;
}
img{
    width: 100%
}

/* accordion */
[accordion-content]{
    display: none;
}
.mark[accordion-button]{
    position: relative;
    display: flex;
    align-items: cneter;
    justify-content: space-between;

}
.mark[accordion-button] *{
    fill: #014550;
    color: #014550;
}
.mark[accordion-button] i{
    position: absolute;
        right: 0;
    top: 50%;
    transform: translateY(-50%);
}
.mark[accordion-button] svg{
    max-width: 20px;
    max-height: 20px;
}
.mark[accordion-button] p{
    display: flex;
    align-items: center;
}
.mark[accordion-button] .icon-minus{
    display: none;
}
.mark.is_open[accordion-button] .icon-minus{
    display: flex;
}
.mark.is_open[accordion-button] .icon-plus{
    display: none;
}
/* tool tip */
[data-tooltip]:before {
    /* needed - do not touch */
    content: attr(data-tooltip);
    position: absolute;
    opacity: 0;
    /* customizable */
    transition: all 0.15s ease;
    padding: 9px 15px ;
    color: white;
    border-radius: 10px;
    box-shadow: 2px 2px 1px silver;    
}

[data-tooltip]:hover:before {
    opacity: 1;
    background: rgb(36 36 36 / 86%);
    margin-top: 15px;
    margin-left: 0%;
}

[data-tooltip]:not([data-tooltip-persistent]):before {
    pointer-events: none;
}

/* margin */
.margin-auto{
    margin: auto;
}
.margin-top-bottom-auto{
    margin-top: auto;
    margin-bottom: auto;
}
.margin-left-right-auto{
    margin-left: auto;
    margin-right: auto;
}
.margin-top-auto{
    margin-top: auto;
}
.margin-bottom-auto{
    margin-bottom: auto;
}

.margin-top-0{
    margin-top:0  !important;
}
.margin-bottom-0{
    margin-bottom:0  !important;
}
.margin-left-0{
    margin-left:0  !important;
}
.margin-right-0{
    margin-right:0  !important;
}
.margin-0{
    margin:0  !important;
}

/* flex */

.d-flex{
    display: flex !important;
}
.justify-content-around{
    justify-content: space-around !important;
}
.justify-content-between{
    justify-content: space-between !important;
}
.justify-content-arround{
    justify-content: space-around !important;
}
.justify-content-center{
    justify-content: center !important;
}
.justify-content-end{
    justify-content: flex-end !important;
}
.justify-content-start{
    justify-content: flex-start !important;
}

.align-item-center{
    align-items: center !important;
}
.align-item-end{
    align-items: end !important;
}
.align-item-start{
    align-items: flex-start !important;
}
.flex-row-reverse{
    flex-direction: row-reverse !important;
}
.flex-row{
    flex-direction: row !important;
}
.flex-column{
    flex-direction: column !important;
}
.flex-column-reverse{
    flex-direction: column-reverse !important;
}
.align-item-end{
    align-items: flex-end !important;
}

.flex-wrap{
    flex-wrap: wrap;
}

.flex-order-one{
    order: 1 !important;
}
.flex-order-two{
    order: 2 !important;
}
.flex-order-three{
    order: 3 !important;
}
.flex-order-four{
    order: 4 !important;
}
.flex-order-five{
    order: 3 !important;
}
/* text-align */

.right{
    text-align: right !important;
}
.left{
    text-align: left  !important;
}
.center{
    text-align: center !important;
}
.text-upper{
    text-transform: uppercase;
}
.text-capitalize{
    text-transform: capitalize;
}

/* width */
.width-100{
    width: 100% !important;
}
.width-90{
    width: 95% !important;
}
.width-80{
    width: 80% !important;
}
.width-70{
    width: 70% !important;
}
.width-60{
    width: 60% !important;
}
.width-50{
    width: 50% !important;
}
.width-40{
    width: 40% !important;
}
.width-30{
    width: 30% !important;
}
.width-20{
    width: 40% !important;
}
.width-10{
    width: 10% !important;
}
.width-100{
    width: 100% !important;
}
.width-95{
    width: 95% !important;
}
.width-85{
    width: 85% !important;
}
.width-75{
    width: 75% !important;
}
.width-65{
    width: 65% !important;
}
.width-55{
    width: 55% !important;
}
.width-45{
    width: 45% !important;
}
.width-35{
    width: 35% !important;
}
.width-25{
    width: 45% !important;
}
.width-15{
    width: 15% !important;
}
.width-5{
    width: 5% !important;
}


/* display */
.show-flex{
    display: flex !important;
}
.show-block{
    display: block !important;
}
.hide{
    display: none !important;
}
.scrollAutoPlay{
    position: relative !important;
}
/* color */

[data-color-name="gray"]{
    background-color: gray !important;
}
[data-color-name="red"]{
    background-color: red !important;
}
[data-color-name="pink"]{
    background-color: pink !important;
}
[data-color-name="yellow"]{
    background-color: yellow !important;
}
[data-color-name="black"]{
    background-color: black !important;
}

[data-color-name="blue"]{
    background-color: blue !important;
}
[data-color-name="green"]{
    background-color: green !important;
}
[data-color-name="magenta"]{
    background-color: #ff00ff !important;
}
[data-color-name="rose-gold"]{
    background-color: #ffe9e2  !important;
}
[data-color-name="wheat"]{
    background-color: white !important;
}
[data-color-name="black"]{
    background-color: black  !important;
}
@media  only screen and (min-width : 1000px ){
    .hide-tablet{
        display: none !important;
    }   
}
@media only screen and (min-width : 768px) and (max-width : 999px){


    .hide-smart{
        display: none !important;
    }
    .width-smart-100{
        width: 100% !important;
    }
    .width-smart-90{
        width: 90% !important;
    }
    .width-smart-80{
        width: 80% !important;
    }
    .width-smart-70{
        width: 70% !important;
    }
    .width-smart-60{
        width: 60% !important;
    }
    .width-smart-50{
        width: 50% !important;
    }
    .width-smart-40{
        width: 40% !important;
    }
    .width-smart-30{
        width: 30% !important;
    }
    .width-smart-20{
        width: 40% !important;
    }
    .width-smart-10{
        width: 10% !important;
    }
   
    .width-smart-95{
        width: 95% !important;
    }
    .width-smart-85{
        width: 85% !important;
    }
    .width-smart-75{
        width: 75% !important;
    }
    .width-smart-65{
        width: 65% !important;
    }
    .width-smart-55{
        width: 55% !important;
    }
    .width-smart-45{
        width: 45% !important;
    }
    .width-smart-35{
        width: 35% !important;
    }
    .width-smart-25{
        width: 45% !important;
    }
    .width-smart-15{
        width: 15% !important;
    }
    .width-smart-5{
        width: 5% !important;
    }
}
@media only screen and (max-width: 768px){
    .container{
        padding: 0px 10px;  
    }
    .hide-mobile{
        display: none !important;
    }
    .width-mobile-100{
        width: 100% !important;
    }
    .width-mobile-90{
        width: 90% !important;
    }
    .width-mobile-80{
        width: 80% !important;
    }
    .width-mobile-70{
        width: 70% !important;
    }
    .width-mobile-60{
        width: 60% !important;
    }
    .width-mobile-50{
        width: 50% !important;
    }
    .width-mobile-40{
        width: 40% !important;
    }
    .width-mobile-30{
        width: 30% !important;
    }
    .width-mobile-20{
        width: 40% !important;
    }
    .width-mobile-10{
        width: 10% !important;
    }
    .width-mobile-100{
        width: 100% !important;
    }
    .width-mobile-95{
        width: 95% !important;
    }
    .width-mobile-85{
        width: 85% !important;
    }
    .width-mobile-75{
        width: 75% !important;
    }
    .width-mobile-65{
        width: 65% !important;
    }
    .width-mobile-55{
        width: 55% !important;
    }
    .width-mobile-45{
        width: 45% !important;
    }
    .width-mobile-35{
        width: 35% !important;
    }
    .width-mobile-25{
        width: 45% !important;
    }
    .width-mobile-15{
        width: 15% !important;
    }
    .width-mobile-5{
        width: 5% !important;
    }

    /* mobile-flex */
    
    .flex-mobile-wrap{
        flex-wrap: wrap;
    }
    
}



    
